Table of Contents

Class GetResponseBodyCommandSettings

Namespace
OpenQA.Selenium.DevTools.V146.Fetch
Assembly
Selenium.WebDriver.dll

Causes the body of the response to be received from the server and returned as a single string. May only be issued for a request that is paused in the Response stage and is mutually exclusive with takeResponseBodyForInterceptionAsStream. Calling other methods that affect the request or disabling fetch domain before body is received results in an undefined behavior. Note that the response body is not available for redirects. Requests paused in the redirect received state may be differentiated by responseCode and presence of location response header, see comments to requestPaused for details.

public sealed class GetResponseBodyCommandSettings : ICommand
Inheritance
GetResponseBodyCommandSettings
Implements
Inherited Members

Properties

CommandName

Gets the name of the command.

[JsonIgnore]
public string CommandName { get; }

Property Value

string

RequestId

Identifier for the intercepted request to get body for.

[JsonPropertyName("requestId")]
public string RequestId { get; set; }

Property Value

string